module.exports = {
  presets: [['module:metro-react-native-babel-preset'], ['@babel/preset-typescript', { allowNamespaces: true }]],
  plugins: [
    [
      'module-resolver',
      {
        root: ['./src'],
        extensions: ['.js', '.jsx', '.ts', '.tsx', '.json'],
      },
    ],
  ],
  generatorOpts: {
    compact: false,
    retainLines: true,
    concise: false,
    minified: false,
  },
  comments: true,
}
